package:
  name: nexus-passoft
  version: "2024.4.6.3"

source:
  path: ../

build:
  number: 0
  noarch: python
  entry_points:
    - nexus = nexus.nexus:main
    - ms_sum = nexus.ms_sum:main
  script: {{ PYTHON }} -m pip install .  --no-deps -vv

requirements:
  build:
    - python >=3.9
    - pip
    - setuptools

  run:
    - python >=3.9
    - obspy >=1.3.0
    - cartopy
    - pyside6

# test:
#   imports:
#     - nexus.nexus

about:
  home: https://www.passcal.nmt.edu/content/software-resources
  dev_url: https://git.passcal.nmt.edu/software_public/passoft/nexus.git
  license: GPLv3
  license_file: LICENSE
  summary: 'Create and edit FDSN StationXML seismic meta-data format.'
